| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

Functions | Variables
mpolar_fft_test
Applications » Polar FFT
Collaboration diagram for mpolar_fft_test:

## Functions
static int | mpolar_grid (int T, int S, NFFT_R *x, NFFT_R *w)
| Generates the points with weights for the modified polar grid with angles and offsets. More...
static int | mpolar_dft (NFFT_C *f_hat, int NN, NFFT_C *f, int T, int S, int m)
| discrete mpolar FFT
static int | mpolar_fft (NFFT_C *f_hat, int NN, NFFT_C *f, int T, int S, int m)
| NFFT-based mpolar FFT.
static int | inverse_mpolar_fft (NFFT_C *f, int T, int S, NFFT_C *f_hat, int NN, int max_i, int m)
| inverse NFFT-based mpolar FFT
static int | comparison_fft (FILE *fp, int N, int T, int S)
| Comparison of the FFTW, mpolar FFT, and inverse mpolar FFT.
int | main (int argc, char **argv)
| test program for various parameters

## Variables
NFFT_R | GLOBAL_elapsed_time

## Detailed Description

## Function Documentation

static int mpolar_grid | ( | int | T,
|  | int | S,
|  | NFFT_R * | x,
|  | NFFT_R * | w
| ) |  |
| static

Generates the points with weights for the modified polar grid with angles and offsets.

We add more concentric circles to the polar grid and exclude those nodes not located in the unit square, i.e.,

with and as for the polar grid. The number of nodes for the modified polar grid can be estimated as .

Definition at line 58 of file mpolar_fft_test.c.

Referenced by inverse_mpolar_fft(), main(), mpolar_dft(), and mpolar_fft().